      SUBROUTINE GET_CML(IUNIT,IX,IY,M,IRIJ,EINDE,FOUT,MMEM,IERR)
*
***** ******************************************************************     
*
*---- Inlezen floragegevens van het CML uit 1 km-cel
*
*---- CML, aangepast door J.P.M. Witte, 230694
*   
***** ******************************************************************     
*
      PARAMETER (MAKS=1200)    
*     
      CHARACTER C80*80    
      INTEGER IRIJ(MAKS)    
      LOGICAL EINDE,FOUT   
*     
*---- ------------------------------------------------------------------     
*---- Inlezen van de streeplijst uit IUNIT      
*---- ------------------------------------------------------------------     
*     
*---- initialisatie 
      EINDE=.FALSE.   
      FOUT=.FALSE.   
      ITEL=0
      M=0
      READ(IUNIT,900,END=40)C80    
      READ(C80,910)IX,IY,M    
      BACKSPACE(IUNIT)    
10    DO 20 J=1,80    
         C80(J:J)=' '    
20    CONTINUE 
*---- inlezen
      READ(IUNIT,900,END=40)C80   
      READ(C80(1:10),910)IXNEW,IYNEW,MNEW   
      IF (IXNEW.EQ.IX.AND.IYNEW.EQ.IY) THEN   
         DO 30 I=1,14   
            IBEG=10+(I-1)*5+1   
            IEND=10+I*5   
            IF(C80(IBEG:IEND).EQ.'     ')GOTO 60
            READ(C80(IBEG:IEND),920,ERR=50)IVON  
            ITEL=ITEL+1   
            IRIJ(ITEL)=IVON   
30       CONTINUE
      ELSE
         BACKSPACE(IUNIT)
         GOTO 60
      END IF
      GOTO 10
40    EINDE=.TRUE.
      GOTO 60
50    FOUT=.TRUE.
60    IF (ITEL.NE.M) FOUT=.TRUE.
      IF (FOUT) THEN
         WRITE(IERR,930)IX,IY,M,ITEL
         MMEM=M 
         M=ITEL   
      END IF   
*  
900   FORMAT(A80)   
910   FORMAT(2I3,I4)   
920   FORMAT(I5)   
930   FORMAT('Er is een fout bij het inlezen van ',    
     # 'de opname: IX=', I3, ', IY=', I3, ', M=', I3,', ITEL=', I3)    
*   
      RETURN    
      END